Subject: Re: EtherB card under ARM Linux

From: [email-masked]
Date: Sun, 15 Jun 1997 21:41:30 +0100 (BST)

Thomas Down writes:
>...
> very far at all. My best guess is:
> 
>     i = 0;
> 
>     do {
>       /* Probe code */
>     }
>     while(i < MAX_ECARDS);
>     
> elsewhere (can't remember exact file offhand), MAX_ECARDS is being 
> #defined as 8.

The value of 'i' is actually irrelevent in terms of the slot number.
Usually the card will be detected with i == 0 (the first card that
is found matching the IDs).  Hence the code is correct.  In your later mail:

> Looking some more at the ether3 driver, I get the impression that there
> is a call to ecard_startfind missing from the init_module function...

Yep - you're quite right.  I'll update the boot disk asap.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |       Russell King      [email-masked]         --- ---
  | | | | http://whirligig.ecs.soton.ac.uk/~rmk92/home.html  /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |      *  who wishes that he was in Hong Kong  *      ---  |
    +-+-+ -------------------------------------------------  /\\\  |